Subject: bug#65774: python updater clears inputs, leaves propagated-inputs empty

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 06 Sep 2023 14:38:26 -0400

Hi,

Sergio Pastor Pérez <[email-masked]> writes:

> Hi,
>
> I'm afraid you lost me here. Why is the `inputs' field empty?

I don't know!  That's the current behavior of the Python updater, at
least when I ran it on fontmake (in our patches tracker at
https://issues.guix.gnu.org/64957).

> understand what you meand with the checking of 'python-'.

I meant looking whether the package variable (usually also its name) is
prefixed by "python-" to differentiate between a library or a command.
It's not a very good heuristic/test, I'm afraid.

-- 
Thanks,
Maxim